View Single Post
Old 06-11-08, 02:18 AM   #2
nORKy
Registered User
 
Join Date: Oct 2007
Posts: 9
Default Re: 173.14.05 problems

I installed the patch, but, now, I have a new build error (freebsd 6.3-RELEASE)

Code:
cc -O2 -fno-strict-aliasing -pipe -DNV_VERSION_STRING=\"173.14.05\" -D__KERNEL__ -DNVRM -UDEBUG -U_DEBUG -DNDEBUG -O -Werror -D_KERNEL -DKLD_MODULE -nostdinc -I-  -I/src -I. -I@ -I@/contrib/altq -I@/../include -finline-limit=8000 -fno-common  -mno-align-long-strings -mpreferred-stack-boundary=2  -mno-mmx -mno-3dnow -mno-sse -mno-sse2 -ffreestanding -Wall -Wredundant-decls -Wnested-externs -Wstrict-prototypes  -Wmissing-prototypes -Wpointer-arith -Winline -Wcast-qual  -fformat-extensions -std=c99 -c nvidia_subr.c
nvidia_subr.c:654: error: conflicting types for 'nv_os_agp_init'
./nv-freebsd.h:406: error: previous declaration of 'nv_os_agp_init' was here
nvidia_subr.c:654: error: conflicting types for 'nv_os_agp_init'
./nv-freebsd.h:406: error: previous declaration of 'nv_os_agp_init' was here
nvidia_subr.c:739: error: conflicting types for 'nv_os_agp_teardown'
./nv-freebsd.h:407: error: previous declaration of 'nv_os_agp_teardown' was here
nvidia_subr.c:739: error: conflicting types for 'nv_os_agp_teardown'
./nv-freebsd.h:407: error: previous declaration of 'nv_os_agp_teardown' was here
*** Error code 1

Stop in /usr/ports/x11/nvidia-driver/work/NVIDIA-FreeBSD-x86-173.14.05/src.
*** Error code 1
nORKy is offline   Reply With Quote